Fix for #48: make extension work with Gnome 3.34 #49

Merged
protopopov1122 merged 4 commits from gnome-3.34-fix into master 2 years ago
protopopov1122 commented 2 years ago (Migrated from github.com)
Owner

This pull request fixes issue #48. Updated extension to be compatible with Gnome 3.34. It seems that the only problem was ui.slider API changes. I'm not very familiar with Gnome shell extension APIs, so not sure if it breaks compatibility with previous versions. Tested on Gnome 3.34.0 on Arch Linux

Changes made

  • Updated _sliderChanged callback
  • Replaced setValue() by value =
This pull request fixes issue #48. Updated extension to be compatible with Gnome 3.34. It seems that the only problem was ui.slider API changes. I'm not very familiar with Gnome shell extension APIs, so not sure if it breaks compatibility with previous versions. Tested on Gnome 3.34.0 on Arch Linux **Changes made** - Updated `_sliderChanged` callback - Replaced `setValue()` by `value =`
kiyui commented 2 years ago (Migrated from github.com)
Owner

Thanks again @protopopov1122 for the quick fixes 😄

Thanks again @protopopov1122 for the quick fixes :smile:
The pull request has been merged as a0656715b8.
Sign in to join this conversation.
No reviewers
No Milestone
No Assignees
1 Participants
Notifications
Due Date

No due date set.

Dependencies

This pull request currently doesn't have any dependencies.

Loading…
There is no content yet.